Page MenuHomePhabricator

e fails to set the keyboard layout from the wizard when page isn't shown
Open, Pending on user inputPublic

Description

More info will come for this soon, but I wanted a reference for when I commit this semi functional code.

simotek created this task.Nov 28 2016, 7:51 PM
zmike closed this task as Wontfix.May 22 2017, 8:19 AM

Wizard pages are not able to be conditionally disabled, and anyone who ships Enlightenment without the wizard module is expected to provide their own fully-populated profile configs.

simotek reopened this task as Open.May 23 2017, 8:03 AM

In this case the wizard page isn't disabled, It is still there but if the wizard can detect the system keyboard layout it attempts to set it without showing the wizard page. See

If you comment back in the block that references T4934 E should be set to the system keyboard layout, but this fails for reasons I don't understand. I can get the wizard to auto select the system keyboard layout so all you need to do is hit next and it works but doing that programatically fails for some reason.

Apologizes for not chasing this up with the further info sooner.

zmike added a comment.May 23 2017, 8:27 AM

Your patch has a number of issues and should be submitted as a normal, reviewable patch through arcanist so that they can be addressed individually.

Sure I was considering that but wasn't sure if we wanted it in upstream e, i'm traveling the next 2 weeks but i'll try and find time for it.

zmike triaged this task as Pending on user input priority.Aug 22 2017, 11:50 AM

You're the one who opened this as an upstream issue, if you want your patch reviewed to resolve it then it should be submitted through normal methods.

Yep i'm trying to get the time, hopefully it will be soon.